Skip to main content
POST
/
v1
/
gateway
/
payment
/
{id}
/
fetch
Fetches an action
curl --request POST \
  --url https://api.pay.walletconnect.com/v1/gateway/payment/{id}/fetch \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": "...",
  "optionId": "opt_123"
}
'
import requests

url = "https://api.pay.walletconnect.com/v1/gateway/payment/{id}/fetch"

payload = {
"data": "...",
"optionId": "opt_123"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: '...', optionId: 'opt_123'})
};

fetch('https://api.pay.walletconnect.com/v1/gateway/payment/{id}/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "actions": [
    {
      "data": {
        "chain_id": "eip155:8453",
        "method": "eth_signTypedData_v4",
        "params": [
          "0x0000000000000000000000000000000000000000",
          "{\"domain\":{\"name\":\"USD Coin\",\"version\":\"2\",\"chainId\":\"0x2105\",\"verifyingContract\":\"0x0000000000000000000000000000000000000000\"},\"types\":{\"EIP712Domain\":[{\"type\":\"string\",\"name\":\"name\"},{\"type\":\"string\",\"name\":\"version\"},{\"type\":\"uint256\",\"name\":\"chainId\"},{\"type\":\"address\",\"name\":\"verifyingContract\"}],\"ReceiveWithAuthorization\":[{\"type\":\"address\",\"name\":\"from\"},{\"type\":\"address\",\"name\":\"to\"},{\"type\":\"uint256\",\"name\":\"value\"},{\"type\":\"uint256\",\"name\":\"validAfter\"},{\"type\":\"uint256\",\"name\":\"validBefore\"},{\"type\":\"bytes32\",\"name\":\"nonce\"}]},\"primaryType\":\"ReceiveWithAuthorization\",\"message\":{\"from\":\"0x0000000000000000000000000000000000000000\",\"nonce\":\"0x0000000000000000000000000000000000000000000000000000000000000000\",\"to\":\"0x0000000000000000000000000000000000000000\",\"validAfter\":\"0x0\",\"validBefore\":\"0x0\",\"value\":\"0x0\"}}"
        ]
      },
      "type": "walletRpc"
    }
  ]
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Api-Key
string
header
required

Headers

Api-Key
string | null
App-Id
string | null
Client-Id
string | null
WCP-Version
string | null
Sdk-Name
string | null
Sdk-Version
string | null
Sdk-Platform
string | null

Path Parameters

id
string
required

Payment ID

Example:

"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"

Body

application/json
data
string
required

Extra build payload

optionId
string
required

ID of the option to build an action for

Response

Action built successfully

actions
object[]
required

An action that requires a wallet RPC call to complete

Example:
{
"data": {
"chain_id": "eip155:8453",
"method": "eth_signTypedData_v4",
"params": [
"0x0000000000000000000000000000000000000000",
"{\"domain\":{\"name\":\"USD Coin\",\"version\":\"2\",\"chainId\":\"0x2105\",\"verifyingContract\":\"0x0000000000000000000000000000000000000000\"},\"types\":{\"EIP712Domain\":[{\"type\":\"string\",\"name\":\"name\"},{\"type\":\"string\",\"name\":\"version\"},{\"type\":\"uint256\",\"name\":\"chainId\"},{\"type\":\"address\",\"name\":\"verifyingContract\"}],\"ReceiveWithAuthorization\":[{\"type\":\"address\",\"name\":\"from\"},{\"type\":\"address\",\"name\":\"to\"},{\"type\":\"uint256\",\"name\":\"value\"},{\"type\":\"uint256\",\"name\":\"validAfter\"},{\"type\":\"uint256\",\"name\":\"validBefore\"},{\"type\":\"bytes32\",\"name\":\"nonce\"}]},\"primaryType\":\"ReceiveWithAuthorization\",\"message\":{\"from\":\"0x0000000000000000000000000000000000000000\",\"nonce\":\"0x0000000000000000000000000000000000000000000000000000000000000000\",\"to\":\"0x0000000000000000000000000000000000000000\",\"validAfter\":\"0x0\",\"validBefore\":\"0x0\",\"value\":\"0x0\"}}"
]
},
"type": "walletRpc"
}